$  Copyright(c)  2001, 2002 Sun Microsystems, Inc.
$   All rights reserved .


$  #ident  "@(#)seepromtest.msg  1.17  05/03/08  SMI"


 
$ dvdtest messages
$ VERBOSE	   1 - 1999	
$ INFO		2000 - 3999 (also used for LOGFILE and CONSOLE messages)
$ WARNING	4000 - 5999
$ ERROR		6000 - 7999
$ FATAL		8000 - 9999 



$ ---- VERBOSE ------
$ V_recall_msg
0001 "Message received: Type %d %s"


$ CONSOLE messages



$ --------------------------------------------------
$ INFO:		2000 - 3999
$ --------------------------------------------------

$ CONNMSG
2000 Connected: <%s>
 
2001 Connected: <Name:%s> <Size:0x%06x> <Pathname:%s>

$ ROUTINE_MESG
3000	"\nSeeprom test specific options:\n\
	 	dev = device name as  "seeprom0..\n\
		from = read offset from \n\
		size = bytes to be read\n\
		 \n"



$  
3002 "No seeprom in the system  Probable_Cause(s): <PICL tree does not have seeprom class> <PICL seeprom node does not have full path address> Recommended_Action(s): <Check PICL data>"




$
3004  "Invalid size 0x%x"  : Probable_Cause(s): < Invalid argument>  Recommended_Action(s): < Please retype the right size!>"

$
3006  "file= without filename"  : %s Probable_Cause(s): < Invalid argument>  Recommended_Action(s): < Please retype the right size!>"

$ WARNING

4001   "Argument(s) adjusted: from: %d size:%d"


$ ERROR		6000 - 7999

$
6002  "Too much retry : Probable_Cause(s) retry_count: %d: <overloaded system>  Recommended_Action(s): <Reduce system load> < If the problem persists, call your authorized Sun service provider.>"

$
6004  "Too much retry : %s Probable_Cause(s): <overloaded system>  Recommended_Action(s): <Reduce system load> < If the problem persists, call your authorized Sun service provider.>"


$
6006  "Reading to 0x%0lx exceeds seeprom's boundary 0x%0lx Probable_Cause(s): <Invalid Argument>  Recommended_Action(s): <Re-type>"







$ FATAL		8000 - 9999 

$
8002     "run out of seeproms buff  Probable_Cause(s): <number_of_seeproms %d exceeds design limit %d> Recommended_Action(s): <If the problem persists, call your authorized Sun service provider.>"

$
8004  " picl_get_propval_by_name failed: %s Probable_Cause(s): < >  Recommended_Action(s): < >"





$
8006  " picl_get_prop_by_name failed: %s Probable_Cause(s): < >  Recommended_Action(s): < >"



$
8008  " picl_get_propinfo failed: %s Probable_Cause(s): < >  Recommended_Action(s): < >"



$
8010  "Do not see  %s in seeproms table: Probable_Cause(s): <Invalid device name >  Recommended_Action(s): <Type as dev=seeprom0 or dev=seeprom1 ...>"


$
8012  " picl_get_root failed: %s Probable_Cause(s): < >  Recommended_Action(s): < >"


$ 
8014  " picl_initialize failed: %s"  

$ aaa
8015  " picl_initialize failed: %s" Probable_Cause(s): < >  Recommended_Action(s): < > 


$
8018  "lseek failed: %s   : %s Probable_Cause(s): < System error>  Recommended_Action(s): <If the problem persists, call your authorized Sun service provider. >"


$
8018  "Read failure, from 0x%lx to 0x%lx : %s Probable_Cause(s): < >  Recommended_Action(s): < If the problem persists, call your authorized Sun service provider.>"


$
8020  "open error on device %s : %s Probable_Cause(s): < >  Recommended_Action(s): < If the problem persists, call your authorized Sun service provider.>"

 


$
8022  "Allocation error  : %s Probable_Cause(s): < >  Recommended_Action(s): < If the problem persists, call your authorized Sun service provider.>"



$
8024 "Failed on picl_get_propval_by_name()"

$
8026 "Failed on seeprom %s read operation:%s \n"


$
8027 "Failed on seeprom %s read operation. Errno:%d \n"


$
8041 "Error in seepromtest.conf file... %s" \
Probable_Cause(s): \
<Corrupted seepromtest.conf file> \
Recommended_action(s): \
<Inspect seepromtest.conf file.> \
<Reinstall sunvts packages.>

$ 
8042 "Failed to open SEEPROMCONFFILE." \
Probable_Cause(s): \
<seepromtest.conf file corrupted or deleted> \
Recommended_action(s): \
<Check seepromtest.conf file exist in current or lib/conf directory.> \
<Reinstall sunvts packages.>

 
$
8902 " Platform %s failed on sysinfo(): %s Probable_Cause(s): < >  Recommended_Action(s): < If the problem persists, call your authorized Sun service provider.>"

$
8999  "  : %s Probable_Cause(s): < >  Recommended_Action(s): < If the problem persists, call your authorized Sun service provider.>"


$
10002 "ERROR: Invalid Argument: Prom size %d. Test from %d, to %d"

$
10002 "ERROR: Invalid Argument: Prom size %d. Test from %d, to %d



10021  "Fail to get the size of seeprom %s:  Probable_Cause(s): < PICL data error>  Recommended_Action(s): <Update seeprom> < If the problem persists, call your authorized Sun service provider.>"

